//
// Name: INTERSTELLAR CONSOLE -- Create Shortcuts
// Author: Misato Observatory, Wakayama, Japan
// License: GPL (General Public License)
//

#include <process.h>
#include <stdio.h>
#include <unistd.h>

int main( int argc, char *argv[] )
{
    FILE *fp;

    fp = fopen("create_isc_shortcuts.ps1", "r");
    if ( fp == NULL ) {
      printf("================================================================\n");
      printf(" create_isc_shortcuts.ps1 が見つかりません。\n");
      printf(" Interstellar Console が正しくインストールされていないようです。\n");
      printf("================================================================\n");
      printf("\n");
      printf("このウィンドウを閉じるには、右上の×をクリックしてください。\n");
      while ( 1 ) {
        sleep(1);
      }
    }
    else {
      fclose(fp);
      system("powershell.exe -NoLogo -ExecutionPolicy Bypass .\\create_isc_shortcuts.ps1");
    }

    return 0;
}

